## solid 5.102.0

=== debian/changelog ===
solid (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:03 +0100

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: bison (>= 2:3.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.102.0~),
               flex,
               libimobiledevice-dev,
               libmount-dev [linux-any],
               libplist-dev,
               libqt5sql5-sqlite:native,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
Rules-Requires-Root: no

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2 [linux-any], upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5solid-doc (= ${source:Version})
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5baloo5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5runner5 (<< 5.54),

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5solid5 (<< 5.74)
Replaces: libkf5solid5 (<< 5.74)
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

## solid 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
project(Solid VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)

# Android has no DBus, and Windows & Mac have backends that don't use DBus
if(NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

if(WIN32)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
endif()


include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(BISON 3.0 REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(IMobileDevice)
set_package_properties(IMobileDevice PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

find_package(PList)
set_package_properties(PList PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

# Used by the UDisks backend on Linux
find_package(LibMount)
set_package_properties(LibMount PROPERTIES
                       TYPE OPTIONAL)

include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX SOLID
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
                        SOVERSION 5)

# TODO: Remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

ecm_install_po_files_as_qm(poqm)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")

option(WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management")

option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api")

include(SolidBackendsMacros)

add_device_backends_begin()
add_device_backend(fakehw)
if (CMAKE_SYSTEM_NAME MATCHES Linux)
    option(UDEV_DISABLED "Allows disabling UDev usage on Linux builds" OFF)
    if (NOT UDEV_DISABLED)
        find_package(UDev REQUIRED)
        set_package_properties(UDev PROPERTIES
            TYPE REQUIRED
            PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
        )
    endif()
    if (UDev_FOUND)
        set(UDEV_FOUND TRUE) # for config-solid.h
        add_device_backend(udev)
    endif()
    set(HAVE_LIBMOUNT ${LibMount_FOUND})
    add_device_backend(udisks2)
    add_device_backend(fstab)
    add_device_backend(upower)
elseif (APPLE)
    find_package(IOKit REQUIRED)
    add_device_backend(iokit)
elseif (WIN32)
    add_device_backend(win)
elseif (NOT ANDROID)
    add_device_backend(upower)
    add_device_backend(fstab)

    if (CMAKE_SYSTEM_NAME MATCHES FreeBSD OR CMAKE_SYSTEM_NAME MATCHES OpenBSD)
        add_device_backend(udisks2)
    endif()
endif()

if(IMobileDevice_FOUND AND PList_FOUND)
    add_device_backend(imobile)
endif()

add_device_backends_cmake()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Solid")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Solid_QCH
        FILE KF5SolidQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SolidQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5SolidTargets.cmake  NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/solid/CMakeLists.txt ===
ecm_create_qm_loader(solid_QM_LOADER solid5_qt)

include(devices/CMakeLists.txt)

if (WITH_NEW_SOLID_JOB)
    include(power/CMakeLists.txt)
endif()

set(solid_LIB_SRCS ${solid_LIB_SRCS} ${solid_QM_LOADER})

add_library(KF5Solid  ${solid_LIB_SRCS})
set(solid_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
target_include_directories(KF5Solid PUBLIC "$<BUILD_INTERFACE:${solid_BUILD_INCLUDE_DIRS}>")
ecm_generate_export_header(KF5Solid
    BASE_NAME Solid
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)
add_library(KF5::Solid ALIAS KF5Solid)

# Apps must include <Solid/File> or <solid/file.h>
target_include_directories(KF5Solid INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Solid>")

target_link_libraries(KF5Solid PUBLIC Qt${QT_MAJOR_VERSION}::Core
                               PRIVATE Qt${QT_MAJOR_VERSION}::Xml
                                       Qt${QT_MAJOR_VERSION}::Gui
                                       ${solid_OPTIONAL_LIBS}
 )
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_link_libraries(KF5Solid PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()

set_target_properties(KF5Solid PROPERTIES  VERSION ${SOLID_VERSION}
                                           SOVERSION ${SOLID_SOVERSION}
                                           EXPORT_NAME Solid
)

ecm_generate_headers(Solid_CamelCase_HEADERS
  HEADER_NAMES
  Device
  DeviceNotifier
  DeviceInterface
  GenericInterface
  Processor
  Block
  StorageAccess
  StorageDrive
  OpticalDrive
  StorageVolume
  OpticalDisc
  Camera
  PortableMediaPlayer
  Battery
  Predicate
  NetworkShare
  SolidNamespace

  RELATIVE devices/frontend
  REQUIRED_HEADERS Solid_HEADERS
  PREFIX Solid
)

if (WITH_NEW_SOLID_JOB)
    ecm_generate_headers(Solid_CamelCase_HEADERS
    HEADER_NAMES
    Job

    RELATIVE power/
    REQUIRED_HEADERS Solid_HEADERS
    PREFIX Solid
    )
endif()

if(WITH_NEW_SOLID_JOB AND WITH_NEW_POWER_ASYNC_API)
    ecm_generate_headers(Solid_CamelCase_HEADERS
        HEADER_NAMES
        AcPluggedJob
        InhibitionJob
        Inhibition
        Power
        StatesJob
        RequestStateJob

        RELATIVE power/
        REQUIRED_HEADERS Solid_HEADERS
        PREFIX Solid
    )
endif()

install(FILES ${Solid_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid/Solid COMPONENT Devel)

install(TARGETS KF5Solid EXPORT KF5SolidTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### static lib for tests  ###############

if (BUILD_TESTING)
  add_library(KF5Solid_static STATIC ${solid_LIB_SRCS})
  set_target_properties(KF5Solid_static PROPERTIES COMPILE_FLAGS -DSOLID_STATIC_DEFINE=1)

  target_link_libraries(KF5Solid_static PUBLIC Qt${QT_MAJOR_VERSION}::Core)
  target_link_libraries(KF5Solid_static PRIVATE Qt${QT_MAJOR_VERSION}::Xml Qt${QT_MAJOR_VERSION}::Gui ${solid_OPTIONAL_LIBS})
  if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_link_libraries(KF5Solid_static PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
  endif()
  target_include_directories(KF5Solid_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")
endif()

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/solid_export.h
  ${Solid_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid/solid COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Solid_QCH
        NAME Solid
        BASE_NAME KF5Solid
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Solid_HEADERS}
            "${CMAKE_SOURCE_DIR}/docs/song.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${solid_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            SOLID_EXPORT
            SOLID_DEPRECATED
            SOLID_DEPRECATED_EXPORT
            "SOLID_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME Solid LIB_NAME KF5Solid DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Solid)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/solid/devices/backends/fakehw/CMakeLists.txt ===
set(backend_sources
    fakebattery.cpp
    fakeblock.cpp
    fakecamera.cpp
    fakecdrom.cpp
    fakedevice.cpp
    fakedeviceinterface.cpp
    fakegenericinterface.cpp
    fakemanager.cpp
    fakenetworkshare.cpp
    fakeopticaldisc.cpp
    fakeportablemediaplayer.cpp
    fakeprocessor.cpp
    fakestorage.cpp
    fakestorageaccess.cpp
    fakevolume.cpp
)

=== debian/changelog ===
solid (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
@@ -28,8 +28,8 @@
 
 Package: libkf5solid-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: udisks2 [linux-any], upower
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: udisks2 [linux-any], upower,
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -44,7 +44,7 @@
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5solid-doc (= ${source:Version})
+Recommends: libkf5solid-doc (= ${source:Version}),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -52,12 +52,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -73,7 +73,7 @@
 Depends: libkf5solid5-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: media-player-info [linux-any]
+Recommends: media-player-info [linux-any],
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -92,9 +92,9 @@
 Package: libkf5solid5-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: libkf5solid5 (<< 5.74)
-Replaces: libkf5solid5 (<< 5.74)
+Depends: ${misc:Depends},
+Breaks: libkf5solid5 (<< 5.74),
+Replaces: libkf5solid5 (<< 5.74),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -106,7 +106,7 @@
 Package: qml-module-org-kde-solid
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.

## solid 5.104.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.104.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.104.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
solid (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:20:03 +0000

solid (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:46:47 +0000

solid (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 16:00:16 +0000

solid (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:24:08 +0000

solid (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:18:10 +0000

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: bison (>= 2:3.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               flex,
               libimobiledevice-dev,
               libplist-dev,
               libqt5sql5-sqlite:native,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
Rules-Requires-Root: no

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2 [linux-any], upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5solid-doc (= ${source:Version})
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5baloo5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5runner5 (<< 5.54),

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5solid5 (<< 5.77.0-2~)
Replaces: libkf5solid5 (<< 5.77.0-2~)
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

## solid 5.106.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.104.0") # handled by release scripts
+set(KF_VERSION "5.106.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.104.0  NO_MODULE)
+find_package(ECM 5.106.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
solid (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.106.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.107.0

=== debian/changelog ===
solid (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:08:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.106.0~),
+               extra-cmake-modules (>= 5.107.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.108.0

=== debian/changelog ===
solid (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:24:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
+               extra-cmake-modules (>= 5.108.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.109.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.106.0") # handled by release scripts
+set(KF_VERSION "5.109.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.106.0  NO_MODULE)
+find_package(ECM 5.109.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
solid (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:52:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.108.0~),
+               extra-cmake-modules (>= 5.109.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.110.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.109.0") # handled by release scripts
+set(KF_VERSION "5.110.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.109.0  NO_MODULE)
+find_package(ECM 5.110.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
solid (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:11:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.111.0

=== debian/changelog ===
solid (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:01:43 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.111.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.112.0

=== debian/changelog ===
solid (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.111.0~),
+               extra-cmake-modules (>= 5.112.0~),
                flex,
                libimobiledevice-dev,
                libplist-dev,

## solid 5.115.0

=== src/solid/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 5.0
+    DEPRECATION_VERSIONS 5.0 5.105
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 add_library(KF5::Solid ALIAS KF5Solid)

=== src/tools/solid-power/CMakeLists.txt ===
add_executable(solid-power main.cpp solid-power.cpp)

ecm_mark_nongui_executable(solid-power)

target_link_libraries(solid-power Qt${QT_MAJOR_VERSION}::Core KF5::Solid)
install(TARGETS solid-power ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/solid/devices/backends/fstab/CMakeLists.txt ===
set(backend_sources
    fstabmanager.cpp
    fstabdevice.cpp
    fstabnetworkshare.cpp
    fstabstorageaccess.cpp
    fstabhandling.cpp
    fstabwatcher.cpp
)

ecm_qt_declare_logging_category(backend_sources
    HEADER fstab_debug.h
    IDENTIFIER Solid::Backends::Fstab::FSTAB_LOG
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.solid.backends.fstab
    OLD_CATEGORY_NAMES org.kde.solid.fstab
    DESCRIPTION "Fstab (Solid)"
    EXPORT SOLID
)

=== debian/changelog ===
solid (5.115.0-3) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * No change upload to manually trigger and accelerate rebuild against
    new versions of libplist and libimobiledevice.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jul 2024 11:01:38 -0400

solid (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:09:36 +0200

solid (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 00:39:41 +0100

solid (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:32 +0200

solid (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:52 +0100

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: bison (>= 2:3.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               flex,
               libimobiledevice-dev,
               libmount-dev [linux-any],
               libplist-dev,
               libqt5sql5-sqlite:native,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
Rules-Requires-Root: no

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: udisks2 [linux-any], upower,
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5solid-doc (= ${source:Version}),
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),

Package: libkf5solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any],
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5baloo5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5runner5 (<< 5.54),

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5solid5 (<< 5.74),
Replaces: libkf5solid5 (<< 5.74),
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

## solid 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.110.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.110.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/tools/CMakeLists.txt ===
add_subdirectory(solid-hardware)

if(WITH_NEW_SOLID_JOB AND WITH_NEW_POWER_ASYNC_API)
    add_subdirectory(solid-power)
endif()

=== src/solid/power/CMakeLists.txt ===
set(solid_LIB_SRCS
    ${solid_LIB_SRCS}
    power/job.cpp
)
if(WITH_NEW_POWER_ASYNC_API)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/power)
    set(solid_LIB_SRCS
        ${solid_LIB_SRCS}
        power/power.cpp
        power/acpluggedjob.cpp
        power/inhibitionjob.cpp
        power/inhibition.cpp
        power/statesjob.cpp
        power/requeststatejob.cpp
        power/powerbackendloader.cpp

        power/backends/abstractacpluggedjob.h
        power/backends/abstractinhibitionjob.h
        power/backends/abstractinhibition.h
        power/backends/abstractstatesjob.h
        power/backends/abstractrequeststatejob.h
        power/backends/powernotifier.h
        power/backends/dummy/dummyacpluggedjob.cpp
        power/backends/dummy/dummypowernotifier.cpp
        power/backends/dummy/dummyinhibitionjob.cpp
        power/backends/dummy/dummyinhibition.cpp
        power/backends/dummy/dummystatesjob.cpp
        power/backends/dummy/dummyrequeststatejob.cpp
    )
endif()

if(WITH_NEW_POWER_ASYNC_API AND WITH_NEW_POWER_ASYNC_FREEDESKTOP)
    include(power/backends/freedesktop/CMakeLists.txt)
endif()

=== src/tools/solid-hardware/CMakeLists.txt ===
add_executable(solid-hardware5 solid-hardware.cpp)
ecm_mark_nongui_executable(solid-hardware5)
target_link_libraries(solid-hardware5 PUBLIC KF5::Solid)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_link_libraries(solid-hardware5 PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()
install(TARGETS solid-hardware5 ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/solid/devices/backends/udev/CMakeLists.txt ===
set(backend_sources
    udevdevice.cpp
    udevmanager.cpp
    udevdeviceinterface.cpp
    udevgenericinterface.cpp
    cpuinfo.cpp
    cpuinfo_arm.cpp
    udevprocessor.cpp
    udevcamera.cpp
    udevportablemediaplayer.cpp
    udevblock.cpp
    ../shared/udevqtclient.cpp
    ../shared/udevqtdevice.cpp
)
set(backend_libs UDev::UDev)

set(UDEV_DETAILED_OUTPUT OFF CACHE BOOL "provide extended output regarding udev events")
if(UDEV_DETAILED_OUTPUT)
    add_definitions(-DUDEV_DETAILED_OUTPUT)
endif()

# check for media-player-info (runtime-only optional dependency)
find_package(MediaPlayerInfo)
set_package_properties(MediaPlayerInfo PROPERTIES
    DESCRIPTION "Enables identification and querying of portable media players"
    PURPOSE "Runtime-only dependency of the udev solid backend. Support for m-p-i is included even if not found during build"
    URL "http://www.freedesktop.org/wiki/Software/media-player-info"
    TYPE RUNTIME
)

=== debian/changelog ===
solid (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 12:25:59 +0100

solid (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:31:29 +0200

solid (5.116.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild against libimobiledevice-1.0.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Mar 2025 10:49:44 +0000

solid (5.116.0-0ubuntu3) oracular; urgency=medium

  * Rebuild against latest libimobiledevice

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 11:06:38 -0400

solid (5.116.0-0ubuntu2) oracular; urgency=medium

  * Rebuild against latest libimobiledevice

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Jul 2024 17:34:24 -0600

solid (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:32 +0100

solid (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libplist-2.0-4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Apr 2024 08:06:05 +0000

solid (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:23:25 +0000

solid (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:09:16 +0000

solid (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:41:00 -0700

solid (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:09:53 -0700

solid (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:47:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: solid
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison (>= 2:3.0~),
+Build-Depends: debhelper-compat (= 13),
+               bison (>= 2:3.0~),
                cmake (>= 3.16~),
-               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
@@ -20,10 +21,10 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 Rules-Requires-Root: no
 
 Package: libkf5solid-bin
